Download it now!
Bug 135265 - UI: Manage Changes dialog shows the format changes with the same green + icon as insert changes
Summary: UI: Manage Changes dialog shows the format changes with the same green + icon...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2020-07-29 10:39 UTC by Telesto
Modified: 2020-08-13 11:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-29 10:39:17 UTC
Description:
Manage Changes dialog shows the format changes with the same green + icon as insert changes, which i find confusing; 
delete changes get a red X.

Based on bug 135263 comment 4

Steps to Reproduce:
1. Open the attached file
2. Edit -> Track Changes -> Manage -> Notice the list
3. Close dialog
4. CTRL+A
5. Change font size/ apply bold/ change font 
6. Edit -> Track Changes -> Manage -> Notice the list

Actual Results:
Green + Icon

Expected Results:
A third state: change.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.2
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; VCL: osx
Locale: nl-NL (nl_NL.UTF-8); UI: en-US
Calc: threaded
Comment 1 Heiko Tietze 2020-07-29 10:44:10 UTC
Yes, we should introduce a different icon. The sidebar deck (experimental feature) also shows a green plus (Karasa Jaga them) for both content and format-only changes. See also the proposal at https://design.blog.documentfoundation.org/2015/02/19/tracking-changes-with-libreoffice/

Does this requires code changes or is it a question to the icon designers, Michael?
Comment 2 Michael Stahl (CIB) 2020-07-29 10:52:13 UTC
so we have SwRedlineAcceptDlg::GetActionImage in sw/source/uibase/misc/redlndlg.cxx

which refers to these in sw/inc/bitmaps.hlst

#define BMP_REDLINE_INSERTED                    "sw/res/redline_inserted.png"
#define BMP_REDLINE_DELETED                     "sw/res/redline_deleted.png"
#define BMP_REDLINE_FORMATTED                   "sw/res/redline_inserted.png"
#define BMP_REDLINE_TABLECHG                    "sw/res/redline_inserted.png"
#define BMP_REDLINE_FMTCOLLSET                  "sw/res/redline_inserted.png"

so i guess just add new icons wherever the current ones are and change these strings?
Comment 3 Heiko Tietze 2020-07-30 09:25:59 UTC
Rizal, Andreas: Could you please take a look?
Comment 4 Rizal Muttaqin 2020-07-30 17:01:40 UTC
(In reply to Michael Stahl (CIB) from comment #2)
> so we have SwRedlineAcceptDlg::GetActionImage in
> sw/source/uibase/misc/redlndlg.cxx
> 
> which refers to these in sw/inc/bitmaps.hlst
> 
> #define BMP_REDLINE_INSERTED                    "sw/res/redline_inserted.png"
> #define BMP_REDLINE_DELETED                     "sw/res/redline_deleted.png"
> #define BMP_REDLINE_FORMATTED                   "sw/res/redline_inserted.png"
> #define BMP_REDLINE_TABLECHG                    "sw/res/redline_inserted.png"
> #define BMP_REDLINE_FMTCOLLSET                  "sw/res/redline_inserted.png"
> 
> so i guess just add new icons wherever the current ones are and change these
> strings?

please give me the desired changes, so I can add missing icons. Better we provide all three variables with their dedicated icons (BMP_REDLINE_FORMATTED, BMP_REDLINE_TABLECHG and BMP_REDLINE_FMTCOLLSET). Please give me an explanation what each of variable means?
Comment 5 Michael Stahl (CIB) 2020-07-31 10:02:20 UTC
(In reply to Rizal Muttaqin from comment #4)
> please give me the desired changes, so I can add missing icons. Better we
> provide all three variables with their dedicated icons
> (BMP_REDLINE_FORMATTED, BMP_REDLINE_TABLECHG and BMP_REDLINE_FMTCOLLSET).
> Please give me an explanation what each of variable means?

FORMATTED: some formatting has changed, but we can't tell what exactly

TABLECHG: something experimental and unimplemented, probably having to do with tables

FMTCOLLSET: something experimental and unimplemented, probably having to do with styles
Comment 6 Rizal Muttaqin 2020-07-31 20:17:50 UTC
(In reply to Michael Stahl (CIB) from comment #5)
> (In reply to Rizal Muttaqin from comment #4)
> > please give me the desired changes, so I can add missing icons. Better we
> > provide all three variables with their dedicated icons
> > (BMP_REDLINE_FORMATTED, BMP_REDLINE_TABLECHG and BMP_REDLINE_FMTCOLLSET).
> > Please give me an explanation what each of variable means?
> 
> FORMATTED: some formatting has changed, but we can't tell what exactly
> 
> TABLECHG: something experimental and unimplemented, probably having to do
> with tables
> 
> FMTCOLLSET: something experimental and unimplemented, probably having to do
> with styles

This is the patch
https://gerrit.libreoffice.org/c/core/+/99868

Other icon themes will follow, I.A.
Comment 7 Commit Notification 2020-08-06 23:01:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/703809e1c9451ecf488b8fba09ed0c72d9468bbd

tdf#135265 Add icon variants in Manage Changes dialog

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-08-13 00:17:01 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72268f475d9c5f85c1c2195218cc41cf273f7dc6

tdf#135265 Add icon variants in Manage Changes dialog

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-13 11:23:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/573ba0412a7ded5d510d37bb533135b6ff012b4f

tdf#135265 Add icon variants in Manage Changes dialog

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.